Rated 5 out of 5 stars

Receiving Error 207 - Not a valid install package. Makes no difference if I install it from AMO or download the extension and try to install it locally. Thanks.

This review is for a previous version of the add-on (0.73).